{% extends "page.html" %}
{% from 'components.html' import paginator with context %}
{% from 'components.html' import list_people with context %}
{% block title %}
    {{ g.site.short_name }}
    -
    {% if room.building %}
        {{ room.building }}
        -
        {{ room.number }}
    {% else %}
        {{ room.number }}
    {% endif %}
{% endblock %}
{% block content %}
    <div class="row justify-content-between mb-3" data-mode="view">
        <form class="col-10" id="room-info" data-room="{{ room|tojson|forceescape }}">
            <div class="form-inline">
                <div class="input-group ml-3 mb-2" id="room-input">
                    <select
                        class="custom-select custom-select-lg custom-room disable-on-view font-weight-bold"
                        id="room-building-select"
                        title="room-building-select"
                        disabled="disabled">
                        {% for building in get_current_buildings() %}
                            <option value="{{ building }}" {{ 'selected="selected"' if building == room.building }}>{{ building }}</option>
                        {% endfor %}
                        {% if room.building and room.building not in get_current_buildings() %}
                            <option value="{{ room.building }}" selected="selected">{{ room.building }}</option>
                        {% endif %}
                    </select>
                    <input
                        type="text"
                        class="form-control form-control-lg readonly-on-view custom-room font-weight-bold text-expander pl-2"
                        id="room-number-input"
                        title="Room number"
                        placeholder="Room Number"
                        name="number"
                        value="{{ room.number }}"
                        readonly="readonly"/>
                </div>
                {% if room.floor %}
                    <a
                        class="fas fa-map-marked-alt icon-link text-muted form-control-lg form-control-inline"
                        href="{{ url_for('web.maps', identifier=room.identifier, building=room.building,
                                         floor=room.floor, longitude=room.longitude, latitude=room.latitude) }}"
                        title="View room on a map!"></a>
                {% endif %}
                {% if user_info and room.identifier not in user_info.rooms | map(attribute = 'identifier') %}
                    <span
                        class="fas fa-user-plus icon-link add-user-room text-muted form-control-lg form-control-inline mr-3"
                        data-user="{{ user_info.crsid }}"
                        data-room-identifier="{{ room.identifier }}"
                        title="Add to my rooms!"></span>
                {% endif %}
                <div data-type="room" class="dropdown mailto-select">
                    <a
                        class="far fa-envelope icon-link text-muted form-control-lg"
                        data-toggle="dropdown"
                        title="Compose an email to all room members"></a>
                    <div class="dropdown-menu">
                        <h5 class="dropdown-header">Select your mail client:</h5>
                        <button class="dropdown-item desktop-client-link" type="button" disabled="disabled">Any Client</button>
                        <a class="dropdown-item disabled outlook-link">Outlook Webmail</a>
                        <a class="dropdown-item disabled hermes-link">Hermes Webmail</a>
                        <a class="dropdown-item disabled teams-chat-link">Teams Chat</a>
                        <a class="dropdown-item disabled teams-meeting-link">Teams Meeting</a>
                    </div>
                </div>
            </div>
            <div class="input-group editable-field ml-3">
                <input
                    type="text"
                    class="form-control form-control-lg font-weight-bold readonly-on-view"
                    id="input-room-description"
                    title="Room description"
                    placeholder="Room description"
                    name="description"
                    value="{{ room.description or '' }}"
                    size="40"
                    readonly="readonly"/>
                <div class="input-group-append hide-on-view">
                    <button type="submit" class="btn btn-outline-secondary">Update</button>
                </div>
            </div>
        </form>
        {% if get_current_user() in config.SUPER_ADMINISTRATORS %}
            <div class="my-3 col-2">
                <div class="text-center">
                    <button class="text-muted text-nowrap btn btn-lg btn-light px-2 py-1" id="edit-toggle">
                        <span class="fas fa-edit"></span>&nbsp;Edit</button>
                </div>
                <br/>
                <div class="text-center hide-on-view">
                    <button id="delete-room-btn" class="btn btn-danger" data-identifier="{{ room.identifier }}">Delete Room</button>
                </div>
            </div>
        {% endif %}
    </div>
    <div class="row justify-content-end mb-3">
        {{ paginator('web.room', pagination) }}
    </div>
    {% if room_people %}
        {{ list_people(room_people) }}
    {% else %}
        <div>
            <a href="{{ url_for('web.rooms') }}" class="text-center">
                <h5>No Results
                </h5>
            </a>
        </div>
    {% endif %}
    <div class="row justify-content-end mt-3">
        {{ paginator('web.room', pagination) }}
    </div>
{% endblock %}